-----------------------------------------------------------------------------------------------
-- Addon routines that do background work and API calls
-- Copyright (c) Xyrak. All rights reserved
-----------------------------------------------------------------------------------------------

local XyrakBoostLite = Apollo.GetAddon("XyrakBoostLite")
local L = Apollo.GetPackage("Gemini:Locale-1.0").tPackage:GetLocale("XyrakBoostLite", true)

-----------------------------------------------------------------------------------------------
-- Detect other addons that can automate quest and block this one
-----------------------------------------------------------------------------------------------
function XyrakBoostLite:CheckBlockerAddons()
	if Apollo.GetAddon("InstantQuestAccept") then
		return "InstantQuestAccept"
	end
	if Apollo.GetAddon("AutoQuest") then
		return "AutoQuest"
	end
	if Apollo.GetAddon("ZygorGuidesViewer") then
		return "ZygorGuidesViewer"
	end
	if Apollo.GetAddon("BeastlyGuides") then
		return "BeastlyGuides"
	end
	return nil
end

-----------------------------------------------------------------------------------------------
-- Display command line help info to the Chat
-----------------------------------------------------------------------------------------------
function XyrakBoostLite:DisplayHelp()
	-- display command line help info
	ChatSystemLib.PostOnChannel(ChatSystemLib.ChatChannel_Command, L["Help Guide"], "XyrakBoostLite")
	ChatSystemLib.PostOnChannel(ChatSystemLib.ChatChannel_Command, L["Command options for"] .. " /xyrak")
	ChatSystemLib.PostOnChannel(ChatSystemLib.ChatChannel_Command, "  settings : " .. L["Change addon settings"])
	ChatSystemLib.PostOnChannel(ChatSystemLib.ChatChannel_Command, "  version : " .. L["View the version information"])
end

-----------------------------------------------------------------------------------------------
-- Print Message to console
-----------------------------------------------------------------------------------------------
function XyrakBoostLite:Print(sMessage)
	ChatSystemLib.PostOnChannel(ChatSystemLib.ChatChannel_Command, sMessage, "XyrakBoostLite")
end